Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235673 - cmake: executable shlibs
Summary: cmake: executable shlibs
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cmake
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-09 14:56 UTC by Rex Dieter
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 2.4.6-3.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-16 16:38:26 UTC


Attachments (Terms of Use)
executable shlibs (deleted)
2007-04-09 14:56 UTC, Rex Dieter
no flags Details | Diff

Description Rex Dieter 2007-04-09 14:56:46 UTC
Per upstream report:
http://www.cmake.org/Bug/bug.php?op=show&bugid=4805
cmake doesn't make shlibs executable by default, per ChangeLog.txt:
--------------
2006-03-03 18:44  king
...
          Default permissions for shared libraries on
          non-Windows/non-OSX platforms no longer has the execute bit set.
--------------

Attached is a patch to revert that behavior (I think, haven't tested it much)

Comment 1 Rex Dieter 2007-04-09 14:56:49 UTC
Created attachment 151991 [details]
executable shlibs

Comment 2 Rex Dieter 2007-04-16 15:01:20 UTC
I'd say go ahead and patch cmake to "just work" (for us), so that the cmake
guideline can be deployed asap without having to mention the shlibs hack.

It looks like cmake upstream will likely do the right thing soon, but I'd rather
not wait for the next cmake release.


Comment 3 Orion Poplawski 2007-04-16 16:38:26 UTC
Applied the fix from http://public.kitware.com/Bug/bug.php?op=show&bugid=4805
and upstream CVS that uses CMAKE_INSTALL_SO_NO_EXE and makes executable shared
libraries the default except on Debian/Ubuntu.

Comment 4 Rex Dieter 2007-04-16 16:47:14 UTC
Thanks.


Please port changes to FC-5/FC-6 branches too, and we're golden.

Comment 5 Kevin Kofler 2007-05-01 12:22:53 UTC
Yuck, this detects the distro from /proc/version. This is going to break the 
day someone wants to build Fedora packages in a mock chroot on a Debian system:
http://packages.debian.org/unstable/devel/mock
(With mock, the kernel and /proc from the host system is used.)

Can the setting be preseeded somehow in the cmake RPM? Or maybe added to the 
command line of the %cmake macro if that works? Or maybe you can get upstream 
to use a saner method to detect the distribution in use, such as the contents 
of /etc/issue or the existence of /etc/debian_version?

Comment 6 Rex Dieter 2007-05-01 12:38:26 UTC
Kevin, please take your issues upstream, maybe even
http://public.kitware.com/Bug/bug.php?op=show&bugid=4805
they should be made aware of your (imo, valid) reservations.


Note You need to log in before you can comment on or make changes to this bug.